

#include <Basis/Screen.hpp>
#include <Basis/Log.hpp>
#include <Vector/Vector.hpp>
#include <Graphics/Graphics.hpp>
//#include <Graphics/Texture.hpp>
#include <vector>

void drawCircle(float x, float y, float radius);
void drawCircleFill(float x, float y, float radius);

class Sprite {
    	float xPos,yPos;
    	SDL_Surface *image, *destinationSurface;
    	SDL_Surface* load_image( std::string filename );
    	bool onGravity;
    	float gravityVal; 
	int gravityTime;
	float radius;
public:
    	float xVel,yVel;
    	Sprite(float x, float y, float r);
	Sprite(std::string imagename,SDL_Surface* Surface,int posX,int posY);
	~Sprite();
	float getx();
	float gety();
	float getradius();
	void setradius(float r);
	void setGravity(bool val,float g);
	void ForcePush(float Fx,float Fy,float maxFx,float maxFy);
	void Draw();
	void Draw(float r,float g,float b,float a,std::string type);
//	void Draw(float r,float g,float b,float a,std::string type);
	void Draw(SDL_Surface* destination);
	void Update();
	int DetectCollisions(Sprite*,Sprite*,Sprite*,Sprite*); // u,d,l,r
	void EnemyAI(float Totalenemies);
};
