
// Thanks to a tutorial on DevMasters for the initial setup help in learning OpenAL

#include <AL/al.h>
#include <AL/alc.h>
#include <AL/alut.h>
#include <cstddef>

class Sound
{
	//OpenAL sound stuff
	ALuint Buffer;
	ALuint Source;
	ALfloat SourcePos[3];
	ALfloat SourceVel[3];
	ALfloat ListenerPos[3];
	ALfloat ListenerVel[3];
	ALfloat ListenerOri[6];

    public:
	Sound(char* soundfile);
	~Sound();
	ALboolean LoadSound(char*);
	void SetListenerValues();
	void Start(bool loop,float volume);
	void Pause();
	void Stop();
	void KillALData();
};
